package cn.iocoder.yudao.module.member.controller.app.auth.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author Administrator
 */
@ApiModel("用户 APP - 发送手机验证码 Response VO")
@Data
@Accessors(chain = true)
public class AppAuthSendSmsReqVO {

    @ApiModelProperty(value = "手机号", example = "15601691234")
    @NotBlank(message = "{app.auth.mobile.not.blank}")
    //@Mobile(message = "{app.auth.mobile.format.err}")
//    @Mobile(message = "incorrect mobile number")
    private String mobile;

    @ApiModelProperty(value = "业务节点", required = true)
    @NotNull(message = "节点不能为空")
    private String nodeValue;

    @ApiModelProperty(value = "区号", required = true)
    @NotNull(message = "区号不能为空")
    private String areaCode;

    @ApiModelProperty(value = "是否匹配运输方式", required = true)
    @NotNull(message = "是否匹配运输方式不能为空")
    private Integer isTransport;

    @ApiModelProperty(value = "运输方式", required = true)
    @NotNull(message = "运输方式不能空")
    private Integer transportId;

    @ApiModelProperty(value = "是否多订单不能为空", required = true)
    @NotNull(message = "是否多订单不能为空")
    private Integer isOrders;

    @ApiModelProperty(value = "发送类型不能为空", required = true)
    @NotNull(message = "发送类型不能为空")
    private Integer messageType;
}
